# HG changeset patch
# User Akil Ayyappan<akil@multicorewareinc.com>
# Date 1558085430 -19800
#      Fri May 17 15:00:30 2019 +0530
# Node ID b218b70740af26fb83ac43b35397c9a3ae795f33
# Parent  39b35ea862834f05e7437e1670e55de595c8f875
Enable cutree for two pass encode

diff -r 39b35ea86283 -r b218b70740af source/encoder/slicetype.cpp
--- a/source/encoder/slicetype.cpp	Tue Mar 26 10:31:41 2019 +0530
+++ b/source/encoder/slicetype.cpp	Fri May 17 15:00:30 2019 +0530
@@ -1165,7 +1165,9 @@
         ProfileScopeEvent(prelookahead);
         m_lock.release();
         preFrame->m_lowres.init(preFrame->m_fencPic, preFrame->m_poc);
-        if (m_lookahead.m_bAdaptiveQuant)
+        if (m_lookahead.m_param->rc.bStatRead && m_lookahead.m_param->rc.cuTree && IS_REFERENCED(preFrame))
+            /* cu-tree offsets were read from stats file */;
+        else if (m_lookahead.m_bAdaptiveQuant)
             tld.calcAdaptiveQuantFrame(preFrame, m_lookahead.m_param);
         tld.lowresIntraEstimate(preFrame->m_lowres, m_lookahead.m_param->rc.qgSize);
         preFrame->m_lowresInit = true;
